@use '../../../global/styles/styles-variables' as *;
@use 'styles/link-button.variables' as *;
@use 'styles/link-button.variations' as variations;

:host {
	@include digi-link-button--variables;

  $base: ".digi-link-button";
  
  &#{$base}--medium {
    @include variations.medium;
    
    a {
      height: 40px;
    }
  }
  
  &#{$base}--medium-large {
    @include variations.medium-large;
    
    a {
      height: 50px;
    }
  }
  
  &#{$base}--large {
    @include variations.large;
    
    a {
      height: 60px;
    }
  }
  
  &#{$base}--primary {
    @include variations.primary;
  }

  &#{$base}--primary-alt {
    @include variations.primary-alt;
  }

  &#{$base}--secondary {
    @include variations.secondary;
  }

  &#{$base}--secondary-alt {
    @include variations.secondary-alt;
  }
}

::slotted(a) {
  text-decoration: none;
  display: inline-flex;
  align-items: center;
  justify-content: space-between;
  font-family: var(--digi--link-button--font-family);
  font-size: var(--FONT-SIZE);
  font-weight: var(--digi--link-button--font-weight);
  background: var(--BACKGROUND--DEFAULT);
  padding: var(--PADDING);
  border-radius: var(--digi--link-button--border-radius);
  border: var(--digi--link-button--border);
  border-color: var(--BORDER-COLOR--DEFAULT);
  box-sizing: border-box;
  
  &,
  &:visited {
    color: var(--COLOR--DEFAULT);
  }

  &:hover,
  &:focus,
  &:active {
    background: var(--BACKGROUND--HOVER);
    color: var(--COLOR--HOVER);
    border-color: var(--BORDER-COLOR--HOVER);

    .digi-link-button__icon {
      --COLOR--DEFAULT: var(--COLOR--HOVER);
    }
  }

  .digi-link-button--hide-icon & {

    [class*='digi-icon'],
    .digi-link-button__icon {
      display: none;
    }
  }

  .digi-link-button--fullwidth & {
    width: 100%;
  }

  [class*='digi-icon'],
  .digi-link-button__icon {
    margin-left: var(--ICON--MARGIN-LEFT);
    --digi--icon--color: var(--COLOR--DEFAULT);
  }

}